Skip to main content
PATCH
/
api
/
v1
/
management-accounts
/
{account_id}
Update Management Account
curl --request PATCH \
  --url https://staging.cutmake.ai/api/v1/management-accounts/{account_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "name": "<string>",
  "category": "<string>",
  "parentId": "<string>",
  "level": 123,
  "description": "<string>",
  "isActive": true
}
'
{
  "id": "<string>",
  "code": "<string>",
  "name": "<string>",
  "category": "<string>",
  "level": 123,
  "type": "<string>",
  "status": "<string>",
  "parent": {
    "id": "<string>",
    "code": "<string>",
    "name": "<string>"
  },
  "parentId": "<string>",
  "description": "<string>",
  "isActive": true,
  "createdAt": "<string>",
  "child_count": 123
}

Path Parameters

account_id
string
required

Body

application/json
code
string | null
name
string | null
category
string | null
parentId
string | null
level
integer | null
description
string | null
isActive
boolean | null

Response

Successful Response

id
string
required
code
string
required
name
string
required
category
string
required
level
integer
required
type
string | null
status
string | null
parent
ManagementAccountParent · object
parentId
string | null
description
string | null
isActive
boolean | null
createdAt
string | null
child_count
integer | null